/* ANSI Color Constants
 *
 * 4/7/2024
 *
 * color.h
 */

#ifndef _COLOR_H
#define _COLOR_H
	
	/* Uncomment the line below to disable color in the program */
	/* #define NO_COLOR */
	
	#ifndef NO_COLOR
		#define BLACK  "\e[30m"
		#define RED    "\e[31m"
		#define GREEN  "\e[32m"
		#define YELLOW "\e[33m"
		#define BLUE   "\e[34m"
		#define PURPLE "\e[35m"
		#define CYAN   "\e[36m"
		#define WHITE  "\e[37m"
		#define BOLD   "\e[1m"
		#define LINE   "\e[4m"
		#define RESET  "\e[0m"
	#else
		#define BLACK  ""
		#define RED    ""
		#define GREEN  ""
		#define YELLOW ""
		#define BLUE   ""
		#define PURPLE ""
		#define CYAN   ""
		#define WHITE  ""
		#define BOLD   ""
		#define LINE   ""
		#define RESET  ""
	#endif /* NO_COLOR */
	
#endif /* _COLOR_H */
